SENDTO(2)

NAME
sendto - send a message through a socket

SYNOPSIS
#include <sys/socket.h>
ssize_t sendto(int sd, const void * msg, size_t msg_len, int flags, const struct sockaddr * dest_addr, socklet_t dest_addr_len);

DESCRIPTION
sendto() sends a message to another socket. It may be used with connectionless and connection oriented sockets. At present, minix doesn't support setting flags to any value other than 0.

RETURN VALUES
On success, this function returns 0. On error, -1 is returned and errno is set.

ERRORS

[ENOSYS]
    The operation is not implemented for the given socket.

[ENOTCONN]
    The socket is not connected; there is no peer.

[EFAULT]
    The message pointed to by msg is not in a valid part of the process address space.

[EAFNOSUPPORT]
    The address family is not supported by send().

[ENAMETOOLONG]
    The length of sun_path is longer than UNIX_PATH_MAX.

[ENOENT]
    The sun_path is null.

[EPIPE]
    The socket is shutdown for writing.

[EMSGSIZE]
    The message is too big.

SEE ALSO
send(2) socket(2) recv(2) recvfrom(2)